{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% load custom_tags %}
{% block content %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,300i,400,400i,600,600i,700,700i" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <style>
        p.p-order-hold {
            font-weight: bold;
            font-size: 20px;
            text-align: center;
            color: #55c0ef;
        }
        .col-hold-order {
            float: left;
            margin: 1% 5%;
            position: relative;
        }
        .btn-request {
            position: relative;
            top: 25%;
            background: #57c4e0;
            color: #fff;
            border-color: #25a5da;
            padding: 18px 28px;
            font-weight: bold;
            font-size: 16px;
            text-transform: capitalize;
        }
        .btn-request:hover {
            position: relative;
            top: 25%;
            background: #36abca;
            color: #fff;
            border-color: #146384;
            padding: 18px 28px;
            font-weight: bold;
            font-size: 16px;
            text-transform: capitalize;
        }
        button.btn-caps {
            text-transform: uppercase;
            color: #fff;
        }
        button.btn-caps > a {
            font-size: 16px;
        }
        .min-error {
            margin: 0 auto 1%;
            font-size: 16px;
            padding: 6px 12px;
            background: yellow;
            border: 1px solid #d4d41d;
            color: #000;
            border-radius: 4px;
            float: none;
            max-width: 90%;
        }

        *{
          margin: 0;
          padding: 0;
          box-sizing: border-box;
          font-family: 'Source Sans Pro', sans-serif;
        }
        .col-order-detail{
            padding-top: 0 !important;
            padding: 25px 0;
            overflow: auto;
        }
        .col-order-detail h1{
          font-size: 35px;
          text-transform: uppercase;
          font-weight: 600;
          line-height: 1.2;
          margin: 0 0 0px 0;
          letter-spacing: 1px;
          float: left;
        }
        .col-pdf{
            float: right;
                padding: 10px 0;
        }
        .col-pdf button{
          line-height: 1.45;
          background-color: #ffc107a1;
          border-color: #ff9800e0;

        }
        .col-pdf button:hover{
          background-color: #f3ce5d;
        border-color: #c97803;
        }
          .col-pdf button a:hover{
            text-decoration: none;
          }
        .col-main-detail{
          padding: 15px;
          /* background: #fff;
          box-shadow: 1px 1px 5px #c3a444b5; */
          background: #fff;
        box-shadow: 0px 0px 5px #929090b5;
        }
        .col-order-user{
          overflow: auto;
          margin-bottom: 20px;
        }
        .col-user-image{
          float: left;
        }
        .col-user-image img{
          width: 100px;
          height: 100px;
          border: 4px solid #c97904;
          border-radius: 4px;
        }
        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .brand-table thead tr, tbody tr:nth-child(2n) {
          background: #dd4b394f;
        }
        .table-bordered {
        border: 1px solid #c97803;
        margin-bottom: 0px;
        }
        .table-bordered>tbody>tr>td, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>td, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>thead>tr>th {
            border: 1px solid #c97803;
        }
        .col-cust-add.col-business-add{
          padding: 15px 15px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
        }
        .col-cust-add.col-business-add span{
          padding: 5px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
        .col-main-detail h3{
          margin: 0 0 5px 0;
        line-height: 1.45;
        font-size: 21px;
        font-weight: 600;
        text-transform: capitalize;
        text-decoration: underline;
        letter-spacing: 1px;
        }
        .col-order-status{
          background: #f4f4f4;
            min-height: 100;
            height: 273px;
        }
        .allowance-table.table-c-detail thead tr, .allowance-table.table-c-detail tbody tr:nth-child(2n) {
            background: #03a9f470;
        }
        .allowance-table.table-c-detail.col-color thead tr, .allowance-table.table-c-detail.col-color tbody tr:nth-child(2n){
          background: #dff0d8;
        }
        #btn-back {
            margin: 5px 10px 0 0;
            float:left;
        }
    </style>

    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">

    <div class="content-wrapper">
        <div class="container-fluid">
            <form method="POST">{% csrf_token %}
                {% if credit_day_expire %}
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12 min-error">
                            <i class="fa fa-warning" style="color: red;"></i> &nbsp;
                            Please clear your outstanding Value
                            (₹ {{expire_outstanding_amount|floatformat:2|intcomma}}).
                        </div>
                    </div>
                {% elif min_order_error %}
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12 min-error">
                            <i class="fa fa-warning" style="color: red;"></i> &nbsp;
                            Your Order Value(₹ {{order_amount|floatformat:2|intcomma}})
                            should be more than your minimum order amount(₹ {{min_amount|floatformat:2|intcomma}}),
                            please <a href="{% url 'productlist' %}">Click here</a>
                            to add more product.
                        </div>
                    </div>
                {% elif max_order_error %}
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12 min-error">
                            <i class="fa fa-warning" style="color: red;"></i> &nbsp;
                            'You have exceeded your max credit limit (₹ {{max_amount|floatformat:2|intcomma}}),
                            to process this order contact your SR ({{sr_name}} and {{mobile}})
                            for further clarification'
                        </div>
                    </div>
                {% endif %}
                {% if edit_flag %}
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12 min-error">
                            <i class="fa fa-warning" style="color: red;"></i> &nbsp;
                           {{msg}}
                        </div>
                    </div>
                {% endif %}
                <div class="col-order-detail" style="padding-bottom: 10px;">
                    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
                    <h1>order #{{order_id}}{% if dms_number %}, DMS #{{dms_number}}{% endif %}</h1>
                    <input id="ord" type="hidden" value="{{order_id}}">
                    <div class="col-pdf">
                        <!-- <button type="button" class="btn btn-default">
                            <i class="fa fa-file-pdf-o" aria-hidden="true" style="color: red"></i>
                            <b style="color: #424242"> PDF</b>
                        </button> -->
                        <button type="button" class="btn btn-default">
                            <a href="/">
                                <span class="glyphicon glyphicon-home"></span>
                                <b style="color: #424242"> Home</b>
                            </a>
                        </button>
                    </div>
                </div>
                <div class="col-main-detail">
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="col-order-user">
                                <div class="col-user-image">
                                    <img src="{% static 'img/default_user.jpg' %}">
                                </div>
                                <address class="col-cust-add">
                                    <h2>
                                        <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                            {{dealer.owner_name|default:"---"}}
                                        </a>
                                    </h2>
                                    {{dealer.company_address|default:"--"}}</br>
                                    Email: {{dealer.email|default:"--"}}</br>
                                    Mobile: {{dealer.primary_contact|default:"--"}}
                                </address>

                                {% if on_hold_flag == True %}
                                    <address class="col-hold-order">
                                        <p class="p-order-hold">
                                            Order Hold on <br>{{on_hold_date|date:'l j F Y'|default:"---"}}
                                        </p>
                                    </address>
                                {% else %}
                                    {% if request.user.is_superuser %}
                                        {% if 'OrderPlaced' in orderhead.status or 'InWarehouse' in orderhead.status %}
                                            <address class="col-hold-order">
                                                <button type="button" class="btn btn-request" data-toggle="modal"
                                                        data-target="#modal-default">
                                                    Order on hold
                                                </button>
                                            </address>
                                        {% endif %}
                                    {% endif %}
                                {% endif %}

                                <address class="col-cust-add col-business-add">
                                    <span>Credit days: {{dbm.credit_days|default:"0"}}</span>
                                    <span style=" background-color: #00c0ef;border-color: #00acd6;">
                                        Credit Limit: ₹ {{dbm.max_outstanding_threshold|floatformat:2|intcomma}}
                                    </span>
                                    <span style="background-color: #dd4b39;border-color: #d73925;">
                                        Min order: ₹ {{dbm.min_order_amount|floatformat:2|intcomma}}
                                    </span></br>
                                    <!--{% if outstanding_flag == True %}-->
                                        <!--<span style="background-color: #00a65a;border-color: #008d4c;">-->
                                            <!--Outstanding: ₹ {{outstanding|floatformat:2|intcomma}}-->
                                        <!--</span>-->
                                    <!--{% endif %}-->
                                    <span>GST: {{dealer.gst_no|default:"--"}}</span>
                                    <span>PAN: {{dealer.pan_no|default:"--"}}</span>

                                    {% if request.user|has_group:"DEL" %}
                                        {% if 'Draft' in orderhead.status %}
                                            <button type="button" class="btn button-success">
                                                <a href="{% url 'productlist' %}" style="color: #fff;">
                                                    Add More Products
                                                </a>
                                            </button>
                                        {% endif %}
                                    {% endif %}
                                </address>
                            </div>
                        </div>
                    </div>

                    <h3>order detail</h3>
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped brand-table">
                                    <thead>
                                        <tr>
                                            <th>SKU Code</th>
                                            <th>Product Name</th>
                                            <th>MRP</th>
                                            <th>DP</th>
                                            <th>Quantity</th>
                                            <th>Allowance</th>
                                            <th>Value After Allowance</th>
                                            <th>PRE GST</th>
                                            <th>CGST</th>
                                            <th>SGST</th>
                                            <th>Invoice Value</th>
                                            {% if request.user|has_group:"DEL" %}
                                                {% if 'Draft' in orderhead.status %}
                                                    {% if max_order_error == False %}
                                                    <th>Action</th>
                                                    {% endif %}
                                                {% endif %}
                                            {% endif %}
                                        </tr>
                                    </thead>
                                    <tbody>
                                    {% for obj in objpm %}
                                        <tr>
                                            <td>{{obj.skucode}}</td>
                                            <input type="hidden" name="hdnskucode{{obj.skucode}}" id="hdnskucode" value="{{obj.skucode}}">
                                            <td>{{obj.name}}</td>
                                            <input type="hidden" id=""/>
                                            <td style="text-align:right;">₹ {{obj.mrp|floatformat:2|intcomma}}</td>
                                            <td style="text-align:right;">₹ {{obj.dp|floatformat:2|intcomma}}</td>
                                            <td style="text-align:right;">
                                                <span id="qtyShow_{{forloop.counter}}">{{obj.quantity}}</span>
                                                <!--<input style="display: none;width: 35%; text-align:right;" type="text" class="txtorder" value="{{obj.quantity}}" name="txtaddorder{{obj.skucode}}" id="txtaddorder{{obj.skucode}}" readonly>-->
                                                <!-- <ul class="pagination pagination-text" id='ul{{obj.skucode}}' style="display: none;margin-left: 41%;margin-top: -23px;" >
                                                    <li class="active" onclick="return plusfunction('{{obj.quantity}}_{{obj.skucode}}');"><a>+</a></li>
                                                    <li onclick="return minusfunction('{{obj.quantity}}_{{obj.skucode}}');"><a>-</a></li>
                                                </ul> -->

                                                <ul class="pagination pagination-text" id='ul_{{forloop.counter}}' style="display: none;width: 105%;">
                                                    <li onclick="return minus({{forloop.counter}});"><a>-</a></li>
                                                    <li>
                                                        <a id="qty_{{forloop.counter}}">{{obj.quantity}}</a>
                                                        <input type="hidden" name="{{obj.skucode}}" id="txtOrder_{{forloop.counter}}" value="{{obj.quantity}}">
                                                    </li>
                                                    <li class="active" onclick="return plus({{forloop.counter}});"><a>+</a></li>
                                                </ul>
                                            </td>
                                            <td style="text-align:right;">{{obj.allowance}} %</td>
                                            <td class="success" style="text-align:right;">₹ {{obj.valueafterallowance|floatformat:2|intcomma}}</td>
                                            <td style="text-align:right;">₹ {{obj.pregst|floatformat:2|intcomma}}</td>
                                            <td style="text-align:right;">₹ {{obj.cgst|floatformat:2|intcomma}}</td>
                                            <td style="text-align:right;">₹ {{obj.sgst|floatformat:2|intcomma}}</td>
                                            <td class="success" style="text-align:right;">₹ {{obj.totalbill|floatformat:2|intcomma}}</td>
                                            {% if request.user|has_group:"DEL" %}
                                                {% if 'Draft' in obj.status %}
                                                    {% if max_order_error == False %}
                                                    <td>
                                                        <a href="javascript: void(0);" id="btnEdit_{{forloop.counter}}" onclick="return edit({{forloop.counter}})" style="margin-left: 20px;">Edit</a>
                                                        <button type="submit" style="background-color: white; color: #3c8dbc; display:none;" name="orderupdate" id="btnUpdate_{{forloop.counter}}" value="{{obj.skucode}}">Save</button>
                                                        <a id="delete_{{forloop.counter}}" data-ref="{% url 'customerorderdelete' %}?skucode={{obj.skucode}}&&orderid={{obj.orderobjid}}&&url=2&&orderno={{orderno}}&&dealerid={{dealerid}}" style="margin-left: 20px; cursor:pointer">Delete</a>
                                                    </td>
                                                    {% endif %}
                                                {% endif %}
                                            {% endif %}
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-12 col-sm-4 col-md-4">
                            <div class="col-order-status" style="text-align: center;">
                                {% if 'Draft' not in orderhead.status %}
                                    {% if status_image %}
                                        <img src="{% static 'img/' %}{{status_image}}.png" class="status-image" style="margin: 4% auto;">
                                    {% endif %}
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-striped allowance-table table-c-detail col-color">
                                            <thead>
                                                <tr>
                                                    <th>Date</th>
                                                    <th>{{status_detail.head_name}}</th>
                                                    <th>{{status_detail.head_number}}</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr style="height: 95px;">
                                                    <td>{{status_detail.date|date|default:"---"}}</td>
                                                    <td>{{status_detail.name|default:"---"}}</td>
                                                    <td>{{status_detail.number|default:"---"}}</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-xs-12 col-sm-8 col-md-8">
                            <div class="table-responsive" style="margin-left:-15px;">
                                <table class="table table-bordered table-striped allowance-table" >
                                    <thead>
                                        <tr>
                                            <th colspan="2">Order details - after allowance</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>DP</td>
                                            <td style="text-align:right;">₹ {{totaldp|floatformat:2|intcomma}}</td>
                                        </tr>
                                        <tr>
                                            <td>Net After Allowance(including GST)</td>
                                            <!--<td style="text-align:right;">₹ {{totalafterallowance|floatformat:2|intcomma}}</td>-->
                                            <td style="text-align:right;">₹ {{totalbill|floatformat:2|intcomma}}</td>
                                        </tr>
                                        <tr>
                                            <td>Pre GST Cost</td>
                                            <td style="text-align:right;">₹ {{totalpregst|floatformat:2|intcomma}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                CGST
                                            </td>
                                            <td style="text-align:right;">₹ {{totalcgst|floatformat:2|intcomma}}</td>
                                        </tr>
                                        <tr>
                                            <td>SGST</td>
                                            <td style="text-align:right;">₹ {{totalsgst|floatformat:2|intcomma}}</td>
                                        </tr>
                                        <tr>
                                            <input id="payAmount" type="hidden" value="{{totalbill|floatformat:2}}">
                                            <td>Invoice Value</td>
                                            <td class="success" style="text-align:right;">₹ {{totalbill|floatformat:2|intcomma}}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    {% if 'Processing' not in orderhead.status %}
                        {% if total.tieup_flag or total.scheme_flag %}
                            <div class="row">
                                <div class="col-xs-12 col-sm-12 col-md-12 for-sr-only">
                                    <div class="table-responsive">
                                        {% if request.user|has_group:"SR" %}
                                            <h3> Applied Schemes</h3>
                                        {% else %}
                                            <h3> Applied Schemes </h3>
                                        {% endif %}
                                        <table class="table table-bordered table-responsive table-striped allowance-table table-c-detail">
                                            <thead>
                                                <tr>
                                                    <th>SKU Code</th>
                                                    <th>QTY.</th>
                                                    <th>DP per unit</th>
                                                    <th>Allowance</th>
                                                    <th title="dp - allowance">Value after allowance including tax</th>
                                                    <th>TieUp</th>
                                                    <th>Sell through</th>
                                                    <th title="pregst - (tieup + sell through)">Final value</th>
                                                    <th title="final value * quantity">Total Value</th>
                                                    <!--<th>BBP</th>-->
                                                </tr>
                                            </thead>
                                            <tbody>
                                                {% for item in details %}
                                                    <tr>
                                                        <td>{{item.skucode}}</td>
                                                        <td>{{item.quantity}}</td>
                                                        <td style="text-align:right;">₹ {{item.dp|floatformat:2|intcomma}}</td>
                                                        <td style="text-align:right;">₹ {{item.allowance_value|floatformat:2|intcomma}}</td>
                                                        <td style="text-align:right;">₹ {{item.total_pre|floatformat:2|intcomma}}</td>
                                                        <td style="text-align:right;">₹ {{item.tieup_value|floatformat:2|intcomma}}</td>
                                                        <td style="text-align:right;">₹ {{item.sell_through_value|floatformat:2|intcomma}}</td>
                                                        <td style="text-align:right;">₹ {{item.total_pre_gst|floatformat:2|intcomma}}</td>
                                                        <td style="text-align:right;">₹ {{item.final_total|floatformat:2|intcomma}}</td>
                                                        <!--<td style="text-align:right;">₹ {{item.bbp|floatformat:2|intcomma}}</td>-->
                                                    </tr>
                                                {% endfor %}
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                {% if cc_status %}
                                    <div class="col-xs-12 col-sm-5 col-md-5">
                                        <div class="table-responsive">
                                            <table class="table table-bordered table-striped allowance-table table-c-detail col-color" style="height: 186px;">
                                                <thead>
                                                    <tr>
                                                         <th colspan="3">
                                                            Credit Notes-Tieup and SellThrough
                                                         </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                {% for item in credit_notes.tieup %}
                                                    <tr>
                                                        <td colspan="2" style="text-align: right;">
                                                            ₹ {{item.applyed_discount_amount|floatformat:2|intcomma}}
                                                        </td>
                                                        <td>Applied on {{item.tieup_date|date|default:"---"}}</td>
                                                    </tr>
                                                {% endfor %}

                                                {% for sell in credit_notes.sell_through %}
                                                    <tr>
                                                        <td colspan="2" style="text-align: right;">
                                                            ₹ {{sell.total_sell_amount|floatformat:2}}
                                                        </td>
                                                        <td>Applied on {{sell.sell_through_date|date}}</td>
                                                    </tr>
                                                {% endfor %}
                                                </tbody>
                                                <tfoot>
                                                    <tr>
                                                        <td colspan="2" style="text-align:right;">
                                                            Total: ₹ {{credit_notes.grand_total|floatformat:2|intcomma}}
                                                        </td>
                                                        <td></td>
                                                    </tr>
                                                </tfoot>
                                            </table>
                                        </div>
                                    </div>
                                {% else %}
                                    <div class="col-xs-12 col-sm-5 col-md-5"></div>
                                {% endif %}
                                <div class="col-xs-12 col-sm-7 col-md-7">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-striped allowance-table table-c-detail">
                                            <thead>
                                                <tr>
                                                    <th>Order details - After SR Scheme</th>
                                                    <th></th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>Invoice value</td>
                                                    <td id="dp" style="text-align:right;">₹ {{total.sr_total|floatformat:2|intcomma}}</td>
                                                </tr>
                                                <tr>
                                                    <td>Less Total TieUp</td>
                                                    <td id="gst" style="text-align:right;">₹ {{total.less_tieup|floatformat:2|intcomma}}</td>
                                                </tr>
                                                <tr>
                                                    <td>Less Total sell through</td>
                                                    <td id="pre" style="text-align:right;">₹ {{total.less_sell|floatformat:2|intcomma}}</td>
                                                </tr>
                                                <tr>
                                                    <input id="payLedger" type="hidden" value="scheme">
                                                    <input id="totalAmount" type="hidden" value="{{total.sr_total|floatformat:2}}">
                                                    <input id="totalTieup" type="hidden" value="{{total.less_tieup|floatformat:2}}">
                                                    <input id="totalSellThrough" type="hidden" value="{{total.less_sell|floatformat:2}}">
                                                    <td title="total bill - (tieup + sell through)">Net bill value</td>
                                                    <td id="cgst" style="text-align:right;">₹ {{total.net_bill|floatformat:2|intcomma}}</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        {% endif %}
                    {% endif %}

                    <div class="row">
                        <div class="col-md-12 text-right" style="margin-top: 1%;">
                            {% if request.user|has_group:"DEL" %}
                                {% if 'Draft' in orderhead.status %}
                                    {% if min_order_error == False and credit_day_expire == False and max_order_error == False and edit_flag == False %}
                                        <button type="button" class="order-btn btnCancel btn-caps">
                                            Cancel Order
                                        </button>
                                        <button type="submit" class="order-btn btn-caps" name="processorder"
                                                id="processorder">Submit For Scheme
                                        </button>
                                    {% endif %}
                                {% elif 'Processing' in orderhead.status %}
                                    <button type="button" class="order-btn btnCancel btn-caps">
                                        Cancel Order
                                    </button>
                                    <button type="button" class="order-btn btn-caps" disabled>
                                        Submitted For Scheme
                                    </button>
                                {% endif %}

                            {% endif %}

                            {% if outstanding_flag == False %}
                                {% if request.user|has_group:"DEL" %}
                                    {% if min_order_error == False and orderhead.status == 'SchemeApplied' %}
                                        <button type="button" class="order-btn btnCancel btn-caps">
                                            Cancel Order
                                        </button>

                                        <button id="btnConfirm" type="button" class="order-btn send-dealer btn-caps">
                                            Confirm Order
                                        </button>
                                    {% endif %}
                                {% endif %}
                            {% endif %}
                        </div>
                    </div>

                    {% if history %}
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <h3>Order Log (DMS Ordernumber: {{dms_number}})</h3>
                                <div class="table-responsive">
                                    <table class="table table-bordered table-striped allowance-table table-c-detail">
                                        <tbody>
                                            {% for item in orderHistory %}
                                                <tr>
                                                    <td>
                                                        {% if item.order_status == 'Processing' %}
                                                            Dealer <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a>
                                                            process order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on {{item.created_on}}

                                                        {% elif item.order_status == 'SchemeApplied' %}
                                                            SR <b>{{total.sr_name|default:"---"}}</b>
                                                            proceed order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) and applied all Sell Through
                                                            and Tieup and send it to Dealer
                                                            <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a> for confirmation on {{item.created_on}}

                                                        {% elif item.order_status == 'OrderPlaced' %}
                                                            Dealer <a target="_blank" href="{% url 'dealer_profile' dealer.dealer_id %}">
                                                            {{dealer.owner_name|default:"---"}}</a>
                                                            placed order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on {{item.created_on}}

                                                        {% elif item.order_status == 'InWarehouse' %}
                                                            Warehouse Admin reviewed order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on {{item.created_on}}
                                                            and send it to &lt;{{warehouse}}&gt;
                                                            &lt;{{manager}}&gt;

                                                        {% elif item.order_status == 'Dispatched' %}
                                                            Warehouse User <b>{{status_detail.name|default:"---"}}</b>
                                                            dispatched order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>)
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Deleted' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) canceled by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Reject' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) rejected by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'OnHold' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) on hold by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'Delivered' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) delivered by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}

                                                        {% elif item.order_status == 'PartialDispatched' %}
                                                            Order(Order No: <a target="_blank" href="/user/order-detail/{{order_id}}">
                                                            {{order_id}}</a>) partial dispatched by <b>
                                                            {{item.created_by.first_name}} {{item.created_by.last_name}}</b>
                                                            on {{item.created_on}}
                                                        {% endif %}
                                                    </td>
                                                </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    {% endif %}
                </div>

                {% if orderno %}

                    {% if comment %}

                    {% else %}

                        {% if request.user.is_superuser %}

                        {% elif request.user|has_group:"SR" %}

                        {% else %}
                            <div class="row">
                                <div class="col-md-12 text-right">
                                    <h3 style="text-align:left;">Leave a Comment</h3>
                                    <textarea rows="4" cols="147" name="ordernote" id="ordernote" placeholder="Add a comment..."></textarea>
                                    <button type="submit" class="ordercomment" name="commentbtn" id="commentbtn" style="color: white;">Post a Comment</button>
                                </div>
                            </div>
                        {% endif %}
                    {% endif %}

                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            {% for note in comment %}
                                <div class="postnewcomment clearfix">
                                    {% if note.image %}
                                        <img alt="" src="/media/{{note.image}}" class="postnewcommentavatar avatar-114 photo" height="114" width="114">
                                    {% else %}
                                        <img alt="" src="/static/avatar_a.png" class="postnewcommentavatar avatar-114 photo" height="114" width="114">
                                    {% endif %}

                                    <div class="postnewcontent">
                                        <h2 class="postname">
                                            <a href="#">{{note.name}}</a><br>
                                            <span style="font-size: 12px;">{{note.date}}</span>
                                        </h2>
                                        <div class="biotext">{{note.description}}</div><br><br>

                                        {% if request.user.is_superuser %}
                                        {% elif request.user|has_group:"SR" %}
                                        {% else %}
                                            <button type="button" name="reply" class="btnreply" onclick="return replyfunction('{{note.id}}');" id="reply{{note.id}}">Reply</button>
                                        {% endif %}

                                        <div class="row" id="replydiv{{note.id}}"  style="display: none;">
                                            <div class="col-md-12 text-right">
                                                <h4 style="text-align:left;">Leave a Reply</h4>
                                                <textarea rows="2" cols="119" name="ordernote{{note.id}}" id="ordernote" placeholder="Add a reply..."></textarea>
                                                <button type="submit" value="{{note.id}}" class="ordercomment" name="replybtn" id="replybtn" style="color: white;">Reply</button>
                                            </div>
                                        </div><br>

                                        {% if note.childnote %}

                                            {% for aobj in note.childnote %}

                                                {% if aobj.image %}<br>
                                                    <img alt="" src="/media/{{aobj.image}}" class="postnewcommentavatar avatar-114 photo" height="40" width="40">
                                                {% else %}<br>
                                                    <img alt="" src="/static/avatar_a.png" class="postnewcommentavatar avatar-114 photo" height="40" width="40">
                                                {% endif %}

                                                <div class="postnewcontent" style="margin-left: 10%;">
                                                    <h2 class="postname">
                                                        <a href="#">{{aobj.createbyname}}</a><br>
                                                        <span style="  font-size: 12px;">{{aobj.childdate}}</span>
                                                    </h2>
                                                    <div class="biotext">{{aobj.queryset.description}}</div><br><br>
                                                </div>
                                            {% endfor %}
                                        {% endif %}
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                {% endif %}
            </form>
        </div>
    </div>

    <div id="modal-danger" class="modal fade modal-alert modal-danger">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new" style="background-color:#e46050 !important">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Delete</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to delete?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <a id="delete-confirm-id" class="btn btn-danger btn-3d">Yes</a>
                    <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-confirmation" class="modal fade modal-alert">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Cancel</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to cancel this order?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <a id="confirm-id" class="btn btn-danger btn-3d">Yes</a>
                    <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="modal-default">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title">Order On Hold</h4>
                </div>
                <form method="post" id="myForm" novalidate>
                    {% csrf_token %}
                    <div class="modal-body" style="overflow: hidden;">
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_remarks" class="form-group">
                                <label for="id_remarks" class="control-label ">
                                    Remarks*
                                </label>
                                <div class="controls">
                                    <textarea id="id_remarks" placeholder="Enter reason for order on hold..."
                                              name="remarks" class="form-control"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary" name="on_hold">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}
    <script src="{% static 'js/customer_order_details.js' %}" type="text/javascript"></script>

    <script>
        var order_id = "";
        $(document).ready(function() {

            $(document).on('click', '[id^="delete_"]', function() {
                var delete_href = $(this).attr('data-ref')
                $("#delete-confirm-id").attr("href", delete_href);

                $('#modal-danger').modal('show');
            });

            $("a.cart-new").click(function() {

                if ($(this).parent().hasClass("open")) {
                    $(this).parent().removeClass("open")
                }
                else {
                    $(this).parent().addClass("open")
                }
            });
            
            order_id = getUrlVars()["orderno"];
            if (order_id==undefined){
                order_id=$('#ord').val()
            }
            $('body').addClass('sidebar-collapse');
            $('ul.sidebar-menu').css('display', 'none');
            $('.content-header').first().remove();

            $('.btnCancel').click(function() {

                $(".modal-header-new").css('background-color', '#50bbe4 !important');
                $("#modal-confirmation").addClass('modal-info').removeClass('modal-success');

                $("#confirm-id").addClass('btn-danger').removeClass('btn-success');
                $("#confirm-id").attr("href", '/user/confirm_order_cancel/1/'+order_id);

                $(".modal-header-new").html('<i class="fa fa-times-circle"></i>');
                $(".modal-title-new").html('Cancel');
                $(".modal-body-new").html('Are you sure you want to cancel this order?');
                $('#modal-confirmation').modal('show');
            });

            $('#btnConfirm').click(function() {

                if($("#payLedger").val() == "scheme"){
                    var amount = $("#totalAmount").val();
                    var tieup = $("#totalTieup").val();
                    var sell = $("#totalSellThrough").val();
                    var discount = parseFloat(tieup) + parseFloat(sell);
                }
                else {
                    var amount = $("#payAmount").val();
                    var discount = 0;
                }

                $(".modal-header-new").css('background-color', '#50bbe4 !important');
                $("#modal-confirmation").addClass('modal-success').removeClass('modal-info');

                $("#confirm-id").addClass('btn-success').removeClass('btn-danger');
                $("#confirm-id").attr("href", '/user/confirm_order_cancel/2/'+order_id+'?price='+amount+'&discount='+discount);

                $(".modal-header-new").html('<i class="fa fa-check-circle"></i>');
                $(".modal-title-new").html('Confirm');
                $(".modal-body-new").html('Are you sure you want to confirm this order?');
                $('#modal-confirmation').modal('show');
            });

            $("a.profile-new").click(function() {
                if($(this).attr('aria-expanded')=='true'){
                    $(this).parent('li').removeClass('open')
                }
                else {
                    $(this).parent('li').addClass('open')
                }
            });

            $("#myForm").submit(function(event) {

                var flag = false;

                if($('#id_remarks').val() != "") {
                    flag = true;
                }
                else {
                    if($('#id_remarks').val() == ""){
                        $('#id_remarks').parent().parent().addClass('has-error')
                        $('#error_1_id_remarks').remove();
                        $('#id_remarks').parent().append('<p id="error_1_id_remarks" class="help-block"><strong>This field is required.</strong></p>');
                    }
                    else {
                        $('#id_remarks').parent().parent().removeClass('has-error')
                        $('#error_1_id_remarks').remove();
                    }
                    flag = false;
                }
                return flag;
            });
        });

        function getUrlVars() {
            var vars = [], hash;
            var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
            for(var i = 0; i < hashes.length; i++) {
                hash = hashes[i].split('=');
                vars.push(hash[0]);
                vars[hash[0]] = hash[1];
            }
            return vars;
        }
    </script>
{% endblock %}